<?php
/*
 * @copyright 2006 M3 Media Services
 * @version $Id:Field.php 4300 2006-02-23 16:38:40Z roh@m3.net $
 * @since 0.3.19 - Feb 10, 2006
 *
 */

require_once MAX_PATH . '/lib/max/Dal/Reporting.php';
require_once MAX_PATH . '/lib/max/DateRange.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/ZoneScope.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/Field/DateRangeField.php';

class DateRangeSelectorField extends DateRangeField
{
    function _displayFieldHeader($title)
    {
    }
    function _displayFieldFooter()
    {
    }
    function _displaySelector($fields, $key)
    {
        $overall_name = $key;
        $preset_id = $overall_name . '_preset';

        if (isset($fields[$key]['default'][$preset_id])) {
            $preset = $fields[$key]['default'][$preset_id];
        } else {
            $preset = 'today';
        }

        ?>
    <select name='<?php print $preset_id; ?>' id='<?php print $preset_id; ?>' onchange='<?php print $key; ?>FormChange(this, 1, 1)' tabindex='<?php print $this->tabkeeper->tabindex++; ?>'>
        <option value='today'<?php print $preset == 'today' ? ' selected' : ''; ?>><?php print $GLOBALS['strCollectedToday']; ?></option>
        <option value='yesterday'<?php print $preset == 'yesterday' ? ' selected' : ''; ?>><?php print $GLOBALS['strCollectedYesterday']; ?></option>
        <option value='last7days'<?php print $preset == 'last7days' ? ' selected' : ''; ?>><?php print $GLOBALS['strCollectedLast7Days']; ?></option>
        <option value='thisweek'<?php print $preset == 'thisweek' ? ' selected' : ''; ?>><?php print $GLOBALS['strCollectedThisWeek']; ?></option>
        <option value='lastweek'<?php print $preset == 'lastweek' ? ' selected' : ''; ?>><?php print $GLOBALS['strCollectedLastWeek']; ?></option>
        <option value='thismonth'<?php print $preset == 'thismonth' ? ' selected' : ''; ?>><?php print $GLOBALS['strCollectedThisMonth']; ?></option>
        <option value='lastmonth'<?php print $preset == 'lastmonth' ? ' selected' : ''; ?>><?php print $GLOBALS['strCollectedLastMonth']; ?></option>
        <option value='allstats'<?php print $preset == 'allstats' ? ' selected' : ''; ?>><?php print $GLOBALS['strCollectedAllStats']; ?></option>
        <option value='specific'<?php print $preset == 'specific' ? ' selected' : ''; ?>>Specific dates</option>
    </select>
        <?php
    }
}

?>