<?php
/*
 * @copyright 2006 M3 Media Services
 * @version $Id:Field.php 4300 2006-02-23 16:38:40Z roh@m3.net $
 * @since 0.3.19 - Feb 10, 2006
 *
 */

require_once MAX_PATH . '/lib/max/Dal/Reporting.php';
require_once MAX_PATH . '/lib/max/DateRange.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/ZoneScope.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/Field.php';

class ScopeSelectionField extends Field
{
    function displayField($fields, $key)
    {
        $this->_displayFieldHeader($fields[$key]['title']);

        $overall_name = $key;
        $entity_name = $overall_name . '_entity';
        $advertiser_name = $overall_name . '_advertiser';
        $publisher_name = $overall_name . '_publisher';

        ?>

  <input type="radio" name="<?php print $entity_name; ?>" id="<?php print $entity_name; ?>" value="advertiser">A specific advertiser</input>
  <select name="<?php print $advertiser_name; ?>" id="<?php print $advertiser_name; ?>">
    <option value="1">Advertiser 1</option>
    <option value="2">Advertiser 2</option>
    <option value="3">Advertiser 3</option>
  </select>

  <br />
  <input type="radio" name="<?php print $entity_name; ?>" id="<?php print $entity_name; ?>" value="publisher">A specific publisher</input>

  <select name="<?php print $publisher_name; ?>" id="<?php print $publisher_name; ?>">
    <option value="1">Publisher 1</option>
    <option value="2">Publisher 2</option>
    <option value="3">Publisher 3</option>
  </select>
  <br />

  <input type="radio" name="<?php print $entity_name; ?>" id="<?php print $entity_name; ?>" value="all" checked="checked">All available data</input>

        <?php
        $this->_displayFieldFooter();
    }

    function getPassableValueFromQueryArray($values, $base_key)
    {
        $scope = new ReportScope();
        $scope->useValuesFromQueryArray($values, $base_key);
        return $scope;
    }
}
?>