<?php
/*
 * @copyright 2006 M3 Media Services
 * @version $Id:Field.php 4300 2006-02-23 16:38:40Z roh@m3.net $
 * @since 0.3.19 - Feb 10, 2006
 *
 */

require_once MAX_PATH . '/lib/max/Dal/Reporting.php';
require_once MAX_PATH . '/lib/max/DateRange.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/ZoneScope.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/Field.php';


class ZoneIdField extends Field
{
    function displayField($fields, $key)
    {
        $this->_displayFieldHeader($fields[$key]['title']);

        echo "<select name='".$key."' tabindex='".($this->tabkeeper->tabindex++)."'>";
        $this->displayZonesAsOptionList();
        echo "</select>";

        $this->_displayFieldFooter();
    }

    function displayZonesAsOptionList()
    {
        $dal = new MAX_Dal_Reporting();

        $zoneArray = $dal->phpAds_getZoneArray();
        foreach (array_keys($zoneArray) as $ckey)
            echo "<option value='".$ckey."'>".$zoneArray[$ckey]."</option>";
    }
}

?>