<?php
/*
 * @copyright 2006 M3 Media Services
 * @version $Id:Field.php 4300 2006-02-23 16:38:40Z roh@m3.net $
 * @since 0.3.19 - Feb 10, 2006
 *
 */

require_once MAX_PATH . '/lib/max/Dal/Reporting.php';
require_once MAX_PATH . '/lib/max/DateRange.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/ZoneScope.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/Field.php';

class ZoneScopeField extends ZoneIdField
{
    function displayZonesAsOptionList()
    {
        echo "<option value='all'>(All available zones)</option>";
        parent::displayZonesAsOptionList();
    }

    function getPassableValueFromQueryArray($values, $base_key)
    {
        $scope = new ZoneScope();
        $zone_id = $values[$base_key];
        if ($zone_id == 'all') {
            $scope->useAllZones();
        } else {
            $scope->useZoneId($zone_id);
        }
        return $scope;
    }
}

?>